### Method

# Camel HTMLParser attr_list

#### Declaration [src]

    const GPtrArray*
    camel_html_parser_attr_list (
      CamelHTMLParser* hp,
      const GPtrArray** values
    )

#### Description [src]

Provides parsed array of values and attributes. Both arrays are owned by the `hp`.

#### Parameters

`values`

  Type: An array of `utf8`

  An output `GPtrArray` with values, or `NULL`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A `GPtrArray` of parsed attributes.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.